Package org.apache.activemq.artemis.jms.server

## Interface ActiveMQJMSServerBundle

- All Known Implementing Classes:
    `ActiveMQJMSServerBundle_$bundle`

      @MessageBundle(projectCode="AMQ")
      public interface ActiveMQJMSServerBundle

  Logger Code 12 each message id must be 6 digits long starting with 12, the 3rd digit should be 9 so 129000 to 129999

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static ActiveMQJMSServerBundle` | `BUNDLE` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.apache.activemq.artemis.api.core.ActiveMQAddressExistsException` | `cfBindingsExists​(java.lang.String name)` |
    `org.apache.activemq.artemis.api.core.ActiveMQInternalErrorException` | `cfDoesntExist​(java.lang.String name)` |
    `org.apache.activemq.artemis.api.core.ActiveMQIllegalStateException` | `discoveryGroupDoesntExist​(java.lang.String name)` |
    `org.apache.activemq.artemis.api.core.ActiveMQIllegalStateException` | `errorDecodingPassword​(java.lang.Exception e)` |
    `org.apache.activemq.artemis.api.core.ActiveMQIllegalStateException` | `noConnectorNameConfiguredOnCF​(java.lang.String name)` |
    `org.apache.activemq.artemis.api.core.ActiveMQIllegalStateException` | `noConnectorNameOnCF()` |

- - ### Field Detail

    - #### BUNDLE

          static final ActiveMQJMSServerBundle BUNDLE

  - ### Method Detail

    - #### cfDoesntExist

          @Message(id=129000,
                   value="Connection Factory {0} does not exist",
                   format=MESSAGE_FORMAT)
          org.apache.activemq.artemis.api.core.ActiveMQInternalErrorException cfDoesntExist​(java.lang.String name)

    - #### discoveryGroupDoesntExist

          @Message(id=129003,
                   value="Discovery Group \'\'{0}\'\' does not exist on main config",
                   format=MESSAGE_FORMAT)
          org.apache.activemq.artemis.api.core.ActiveMQIllegalStateException discoveryGroupDoesntExist​(java.lang.String name)

    - #### noConnectorNameOnCF

          @Message(id=129004,
                   value="No Connector name configured on create ConnectionFactory")
          org.apache.activemq.artemis.api.core.ActiveMQIllegalStateException noConnectorNameOnCF()

    - #### noConnectorNameConfiguredOnCF

          @Message(id=129005,
                   value="Connector \'\'{0}\'\' not found on the main configuration file",
                   format=MESSAGE_FORMAT)
          org.apache.activemq.artemis.api.core.ActiveMQIllegalStateException noConnectorNameConfiguredOnCF​(java.lang.String name)

    - #### cfBindingsExists

          @Message(id=129006,
                   value="Binding {0} is already being used by another connection factory",
                   format=MESSAGE_FORMAT)
          org.apache.activemq.artemis.api.core.ActiveMQAddressExistsException cfBindingsExists​(java.lang.String name)

    - #### errorDecodingPassword

          @Message(id=129007,
                   value="Error decoding password using codec instance")
          org.apache.activemq.artemis.api.core.ActiveMQIllegalStateException errorDecodingPassword​(@Cause
                                                                                                   java.lang.Exception e)